/*================================================================*
 |	getJulian.js
 |
 |	Description:
 |	Calculate Julian Day and Time.
 |      Based on UTC
 |      More Info Here:
 |      http://docs.kde.org/en/3.1/kdeedu/kstars/ai-julianday.html
 |
 |	Author  : Thorin (kingthorin@hotmail.com)
 |	Version : 0.95
 |	Created : 2003/08/04 10:30 (GMT-05:00)
 |      Modified: 2003/08/05 21:34 (GMT-05:00)
 *================================================================*/
function getJulianDay()
{
    var D = new Date;

    var ourYr=D.getYear();
    var ourMnth=D.getMonth();
    var ourDay=D.getDate();

    if (ourMnth < 3)
      var f = -1;
    else
      var f = 0;
    return Math.floor((1461*(f+4800+ourYr))/4)
         + Math.floor(((ourMnth-1-(f*12))*367)/12)
         - Math.floor(3*Math.floor((ourYr+4900+f)/100)/4)
         + ourDay - 32075;
}

function getJulianTime()
{
    var D = new Date;

    var ourHrs=D.getUTCHours();
    var ourMins=D.getUTCMinutes();

    return((((ourHrs)*60)+(ourMins))/(1440));

}